public static interface ServiceEndpointBuilderFactory.ServiceBuilders
| Modifier and Type | Method and Description |
|---|---|
default ServiceEndpointBuilderFactory.ServiceEndpointBuilder |
service(String path)
Service (camel-service)
Register a Camel endpoint to a Service Registry (such as Consul,
Etcd) and delegate to it.
|
default ServiceEndpointBuilderFactory.ServiceEndpointBuilder |
service(String componentName,
String path)
Service (camel-service)
Register a Camel endpoint to a Service Registry (such as Consul,
Etcd) and delegate to it.
|
default ServiceEndpointBuilderFactory.ServiceEndpointBuilder service(String path)
service:delegateUri
Path parameter: delegateUri (required)
The endpoint uri to expose as servicepath - delegateUridefault ServiceEndpointBuilderFactory.ServiceEndpointBuilder service(String componentName, String path)
service:delegateUri
Path parameter: delegateUri (required)
The endpoint uri to expose as servicecomponentName - to use a custom component name for the endpoint
instead of the default namepath - delegateUriApache Camel